%% Analisi risposta in frequenza del filtro e della sua versione approssimata
s=tf('s');
Md=-(0.2*s^2+0.4*s+0.2)/(s+2);
tau=0.01;
Mdhat=Md/(1+tau*s);
bode(Md,Mdhat),grid
legend('Md','Mdhat')
xlim([0.01 100])

%%
figure
plot(y,'LineWidth',2),grid
xlabel('Tempo [sec]')
title('Uscita in presenza di disturbo')

figure
plot(y.Time,[y.Data y_comp.Data],'LineWidth',2),grid
xlabel('Tempo [sec]')
title('Uscita in presenza di disturbo')
legend('Senza filtro di compensazione','Con filtro di compensazione')